Bug 182986 - [Curl] Fix warning on clang.
Summary: [Curl] Fix warning on clang.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Basuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-20 15:01 PST by Basuke Suzuki
Modified: 2018-02-22 11:43 PST (History)
13 users (show)

See Also:


Attachments
Fix (2.78 KB, patch)
2018-02-20 15:17 PST, Basuke Suzuki
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (11.49 MB, application/zip)
2018-02-20 17:16 PST, EWS Watchlist
no flags Details
fix (3.76 KB, patch)
2018-02-21 11:23 PST, Basuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2018-02-20 15:01:29 PST
Clang is more strict than MSC (which is good). Fixing unused variable and override related warnings.
Comment 1 Basuke Suzuki 2018-02-20 15:17:38 PST
Created attachment 334305 [details]
Fix
Comment 2 Konstantin Tokarev 2018-02-20 17:06:44 PST
Comment on attachment 334305 [details]
Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=334305&action=review

> Source/WebCore/platform/network/curl/CurlResourceHandleDelegate.h:-52
> -    void deref();

If there is no class inheriting from CurlResourceHandleDelegate, add "final" specifier to class declaration and methods
Comment 3 EWS Watchlist 2018-02-20 17:16:11 PST
Comment on attachment 334305 [details]
Fix

Attachment 334305 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6596590

New failing tests:
http/wpt/resource-timing/rt-initiatorType-media.html
Comment 4 EWS Watchlist 2018-02-20 17:16:21 PST
Created attachment 334322 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 5 Basuke Suzuki 2018-02-21 11:23:39 PST
Created attachment 334396 [details]
fix

Fix to use final instead of override and add final onto the class definition.
Comment 6 Basuke Suzuki 2018-02-21 11:23:58 PST
(In reply to Konstantin Tokarev from comment #2)
> Comment on attachment 334305 [details]
> Fix
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=334305&action=review
> 
> > Source/WebCore/platform/network/curl/CurlResourceHandleDelegate.h:-52
> > -    void deref();
> 
> If there is no class inheriting from CurlResourceHandleDelegate, add "final"
> specifier to class declaration and methods

Okay, got it.
Comment 7 WebKit Commit Bot 2018-02-22 11:41:23 PST
Comment on attachment 334396 [details]
fix

Clearing flags on attachment: 334396

Committed r228927: <https://trac.webkit.org/changeset/228927>
Comment 8 WebKit Commit Bot 2018-02-22 11:41:25 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2018-02-22 11:43:17 PST
<rdar://problem/37795772>